#
# spec file for package dtc
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           dtc
Url:            http://git.jdl.com/gitweb/?p=dtc.git;a=summary 
Version:        1.4.0
Release:        8.5
BuildRequires:  bison
BuildRequires:  flex
Summary:        Device-tree compiler
License:        GPL-2.0+
Group:          Development/Tools/Building
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         dtc-%{version}.tar.gz
Source2:        baselibs.conf
Patch3:         dtc-license.patch
Patch4:         use-tx-as-the-type-specifier-instead-of-zx.patch

%description
PowerPC kernels are moving towards requiring a small Open
Firmware-style device tree as the only means of passing information
from bootloaders/firmware to the kernel. This does not require a full
Open Firmware implementation. DTC (Device Tree Compiler) is a tool to
create a static device tree, which is adequate for most embedded
systems (since their topology will not vary across reboots). DTC is
available via a git tree: git://ozlabs.org/srv/projects/dtc/dtc.git

%package -n libfdt1

Summary:        Device tree library
Group:          Development/Libraries/C and C++ 

%description -n libfdt1
libfdt is a library to process Open Firmware style device trees on various
architectures.

%package -n libfdt1-devel

Summary:        Development headers for device tree library
Group:          Development/Libraries/C and C++
Requires:       libfdt1 = %{version}

%description -n libfdt1-devel
This package provides development files for libfdt

%prep
%setup -q
%patch3
%patch4 -p1

%build
make %{?_smp_mflags}

%install
%makeinstall PREFIX=/usr LIBDIR=%{_libdir} 
install -m 644 libfdt/libfdt_env.h $RPM_BUILD_ROOT/%{_includedir}
rm -f %{buildroot}/%{_libdir}/*.a

%files
%defattr(-,root,root)
%doc README.license Documentation/manual.txt
%{_bindir}/convert-dtsv0
%{_bindir}/dtc
%{_bindir}/dtdiff
%{_bindir}/fdtdump
%{_bindir}/fdtget
%{_bindir}/fdtput

%files -n libfdt1
%defattr(-,root,root,-)
%doc GPL
%{_libdir}/libfdt-%{version}.so
%{_libdir}/libfdt.so.*

%files -n libfdt1-devel
%defattr(-,root,root,-)
%{_libdir}/libfdt.so
%{_includedir}/*

%changelog
* Fri Mar  7 2014 ro@suse.de
- add use-tx-as-the-type-specifier-instead-of-zx.patch
  taken from fedora to fix build on s390
* Tue Jul  9 2013 dmueller@suse.com
- update to 1.4.0 (bnc#826457):
- dtc-check.patch, dtc-flattree.patch: Remove
* Wed Jun 19 2013 dmueller@suse.com
- rename ftdump to dtc-ftdump to avoid conflict with ft2demos
* Tue Jun 18 2013 afaerber@suse.de
- Recent Git versions of dtc install libfdt_env.h, so that
  QEMU 1.6.0 will require this file. Install it for compatibility.
* Fri May 24 2013 afaerber@suse.de
- Use %%makeinstall in place of %%make_install, for SLE_11_SP2
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
  (cf. packaging guidelines)
- Use %%_smp_mflags for parallel build
- Implement baselibs config
* Fri Jul  1 2011 k0da@opensuse.org
- libfdt1 subpackage
  libfdt1-devel
- dtc 1.3.0 update
  dtc: Add code to make diffing trees easier
  dtc: Extend and better test dtbs_equal utility programs
  dtc: Audit and fix valgrind errors
  Assorted cleanups and extensions for ftdump
  Fix dtc bugs for 64-bit compile
- fix URL as mntioned site is no longer available
* Sat Feb  6 2010 jengelh@medozas.de
- disable failing `make check` on SPARC
* Thu Jan 24 2008 olh@suse.de
- update to 1.1.0 final
  clearify license issues, run testsuite
* Fri Aug 10 2007 olh@suse.de
- update to 1.0.0 final
  - first official release
* Mon Jun 18 2007 olh@suse.de
- update to current state
    dtc: Fix recognition of whitespace characters
    Implement the -R option and add a -S option.
    Add -o <output file> to the usage message.
    Fix reserve map output for asm format.
    Assemble the blob in memory before writing it out.
    Fix the -S to modify the totalsize properly.
    dtc: parse NOP in dtb input
* Thu Mar 29 2007 olh@suse.de
- add flex and bison to buildrequires
  fix endian bug in ftdump, add C style includes
* Fri Mar 23 2007 olh@suse.de
- initial package to build PS3 kernel
